be.vlaanderen.mercurius.mohm.common.v7

## Class ConsultSupportAndRepairViewType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.ConsultSupportAndRepairViewType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:17:08+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultSupportAndRepairViewType
      extends Object
      implements Serializable

  Beperkt beeld van de aanvraag waarvoor een actief budget onderhoud en herstel werd gevonden.

  Java class for ConsultSupportAndRepairViewType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultSupportAndRepairViewType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}VSBReferenceType"/>
               <element name="Application" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationViewSupportAndRepairType"/>
               <element name="HistoryStatus" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}StatusListType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultSupportAndRepairViewType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationViewSupportAndRepairType` | `getApplication()` Gets the value of the application property.
    `StatusListType` | `getHistoryStatus()` Gets the value of the historyStatus property.
    `String` | `getVSBReference()` Gets the value of the vsbReference property.
    `void` | `setApplication(ApplicationViewSupportAndRepairType value)` Sets the value of the application property.
    `void` | `setHistoryStatus(StatusListType value)` Sets the value of the historyStatus property.
    `void` | `setVSBReference(String value)` Sets the value of the vsbReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultSupportAndRepairViewType

          public ConsultSupportAndRepairViewType()

  - ### Method Detail

    - #### getVSBReference

          public String getVSBReference()

      Gets the value of the vsbReference property.
      Returns:
        possible object is `String`

    - #### setVSBReference

          public void setVSBReference(String value)

      Sets the value of the vsbReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getApplication

          public ApplicationViewSupportAndRepairType getApplication()

      Gets the value of the application property.
      Returns:
        possible object is `ApplicationViewSupportAndRepairType`

    - #### setApplication

          public void setApplication(ApplicationViewSupportAndRepairType value)

      Sets the value of the application property.
      Parameters:
        `value` - allowed object is `ApplicationViewSupportAndRepairType`

    - #### getHistoryStatus

          public StatusListType getHistoryStatus()

      Gets the value of the historyStatus property.
      Returns:
        possible object is `StatusListType`

    - #### setHistoryStatus

          public void setHistoryStatus(StatusListType value)

      Sets the value of the historyStatus property.
      Parameters:
        `value` - allowed object is `StatusListType`

Connector Packaging TRUSSMAKER 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.